Summary: Powerful image loading and rendering library
Name: imlib2
Version: 1.3.0
Release: 6%{?dist}
License: BSD
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.gz
#Patch0: imlib2-1.1.2-configure.patch
URL: http://enlightenment.org/Libraries/Imlib2/
BuildRoot: %{_tmppath}/%{name}-root
Requires: freetype >= 1.2
Requires: libjpeg, libpng, libtiff, libungif, zlib
BuildRequires: gcc-c++
BuildRequires: autoconf, automake
BuildRequires: libtool, libtool-ltdl-devel, libtiff-devel, bzip2-devel
BuildRequires: libjpeg-devel, libpng-devel, edb-devel >= 1.0.2
BuildRequires: libX11-devel, libXext-devel, freetype-devel >= 1.2
BuildRequires: libungif-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

%package devel
Summary: Imlib2 headers, static libraries and documentation
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Headers, static libraries and documentation for Imlib2.

%prep
%setup -q
#patch0 -p1

%build
libtoolize -f
autoreconf -f -i
%configure \
	--x-includes=%{_x_includes} --x-libraries=%{_x_libraries} \
%ifarch %ix86

%else
	--disable-mmx
%endif
## Quick workaround for -lImlib2 not being found by the loaders
#ln -s .libs/libImlib2.so src/libImlib2.so
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog doc/
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/imlib2
%dir %{_libdir}/imlib2/filters
%{_libdir}/imlib2/filters/*.so
%{_libdir}/imlib2/filters/*.a
%exclude %{_libdir}/imlib2/filters/*.la
%dir %{_libdir}/imlib2/loaders
%{_libdir}/imlib2/loaders/*.so
%{_libdir}/imlib2/loaders/*.a
%exclude %{_libdir}/imlib2/loaders/*.la
%{_datadir}/imlib2

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/imlib2.pc

%changelog
* Sun Oct 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.0-6
- Update to 1.3.0.

* Sun Jan  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Sat Oct 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.2.

* Thu Oct 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.0.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.

* Fri Feb 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed s/XFree86/XFree86-libs/ in dependencies.

* Wed Nov 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 8.0.

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.6.
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Nov 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and update to 1.0.4.

* Mon Jan 8 2001 The Rasterman <raster@rasterman.com>
- Fix Requires & BuildRequires for freetype.

* Sat Sep 30 2000 Lyle Kempler <term@kempler.net>
- Bring back building imlib2 as root via autogen.sh for the lazy (me)
- Some minor changes

* Sat Sep 30 2000 Joakim Bodin <bodin@dreamhosted.com>
- Linux-Mandrake:ise the spec file

* Tue Sep 12 2000 The Rasterman <raster@rasterman.com>
- Redo spec file

* Wed Aug 30 2000 Lyle Kempler <kempler@utdallas.edu>
- Include imlib2-config

* Sat May 20 2000 Lyle Kempler <kempler@utdallas.edu>
- Fixed problems with requiring imlib2_view
- Went back to imlib2_view (not imlib2-view)

* Tue Nov 2 1999 Lyle Kempler <kempler@utdallas.edu>
- Mangled imlib 1.9.8 imlib spec file into imlib2 spec file

